<script setup lang="ts">
  import { emitsKey, propsKey } from './model';

  const props = inject(propsKey);
  const emits = inject(emitsKey);
</script>
<template>
  <div v-if="!props?.mediaController?.hidden" class="flex items-center gap-3 lg:gap-4">
    <SwTooltip
      :content="$t(props?.mediaController?.microphoneBtn?.on ? 'unmuted' : 'muted')"
      position="topCenter"
      width="max-width"
    >
      <SwButton
        fab
        :variant="props?.mediaController?.microphoneBtn?.on ? 'action' : 'danger-outlined'"
        :disabled="props?.mediaController?.microphoneBtn?.disabled"
        @click="emits?.onChange('toggleMic')"
      >
        <template #icon>
          <span
            :class="[
              props?.mediaController?.microphoneBtn?.on
                ? 'i-sw-solid:microphone'
                : 'i-sw-solid:microphone-slash',
            ]"
          />
        </template>
      </SwButton>
    </SwTooltip>

    <SwTooltip
      :content="$t(props?.mediaController?.cameraBtn?.on ? 'videoOn' : 'videoOff')"
      position="topCenter"
      width="max-width"
    >
      <SwButton
        fab
        :variant="props?.mediaController?.cameraBtn?.on ? 'action' : 'danger-outlined'"
        :disabled="props?.mediaController?.cameraBtn?.disabled"
        @click="emits?.onChange('toggleCam')"
      >
        <template #icon>
          <span
            :class="[
              props?.mediaController?.cameraBtn?.on ? 'i-sw-solid:video' : 'i-sw-solid:video-slash',
            ]"
          />
        </template>
      </SwButton>
    </SwTooltip>

    <!-- this button will be hidden in mobile -->
    <SwTooltip
      class="hidden sm:block"
      :content="$t('presentation.videoAndAudio')"
      position="topCenter"
      width="max-width"
    >
      <SwButton
        fab
        variant="action"
        :disabled="props?.mediaController?.settingBtn?.disabled"
        @click="emits?.onChange('toggleSetting')"
      >
        <template #icon>
          <span class="i-sw-solid:cog" />
        </template>
      </SwButton>
    </SwTooltip>

    <!-- TODO: will implement later -->
    <!-- <LeaveButton v-if="!props?.mediaController?.leaveBtn?.hidden" /> -->
  </div>
</template>
